Data - Retrieve SLO Data
Retrieves SLO data for the provided SLO Request
POST http://<Servername>/OperationsManager/data/slo
Request Body
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Required | Type | Description |
|---|---|---|---|
| duration | True |
string |
Duration |
| slaId | True |
string |
SLA ID |
| slaManagedEntityRowId | True |
integer |
SLA Managed Entity Row ID |
| sloId | True |
string |
SLO ID |
| value | True |
integer |
Value |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK.Successfully retrieved SLO Data. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Examples
RetrieveSLOData
Sample request
POST http://<Servername>/OperationsManager/data/slo
{
"sloId": "c67b6541-9a21-3745-bef3-b6542dd380a7",
"slaId": "e9163d5b-cb1f-7b06-ea4b-a984d0420f8d",
"value": 0,
"duration": "10",
"slaManagedEntityRowId": 141
}
Sample response
{
"id": null,
"goal": 0,
"desiredObjective": null,
"actualValue": 0
}
Definitions
| Name | Description |
|---|---|
|
SLOData |
|
|
SLOData |
SLODataRequest
| Name | Type | Description |
|---|---|---|
| duration |
string |
Duration |
| slaId |
string |
SLA ID |
| slaManagedEntityRowId |
integer |
SLA Managed Entity Row ID |
| sloId |
string |
SLO ID |
| value |
integer |
Value |
SLODataResponse
| Name | Type | Description |
|---|---|---|
| actualValue |
number |
Actual Value |
| desiredObjective |
string |
Desired Objective |
| goal |
number |
SLO Goal |
| id |
string |
SLO ID |